using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace WindowsApplication1
{
    public partial class Form1 : Form
    {
        private MySqlConnection connection;

        public Form1()
        {
            InitializeComponent();
            ConnectToMySQL();
        }

        private void ConnectToMySQL()
        {
            if (connection != null && connection.State != ConnectionState.Closed)
                connection.Close();

            string hostname = "localhost";
            int portNumber = 3306;
            string user = "root";
            string passwd = "password";
            int queryTimeoutSecs = 600;

            string connectionstring =
                string.Format("Host={0};Port={1};Username={2};Password={3};pooling=false;Connection Timeout=30;Default Command Timeout={4};Allow User Variables=true;CharSet=utf8",
                hostname, portNumber, user, passwd, queryTimeoutSecs);

            connection = new MySqlConnection(connectionstring);  // throws 

            // throws
            connection.Open();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            StringBuilder script = new StringBuilder();

            script.AppendLine("SET NAMES utf8");
            script.AppendLine("//");
            script.AppendLine();
            script.AppendLine("DROP DATABASE IF EXISTS pvdb");
            script.AppendLine("//");
            script.AppendLine();
            script.AppendLine("CREATE DATABASE pvdb CHARACTER SET utf8");
            script.AppendLine("//");
            script.AppendLine();
            script.AppendLine("USE pvdb");
            script.AppendLine("//");
            script.AppendLine();
            script.AppendLine("CREATE TABLE sys");
            script.AppendLine("(");
            script.AppendLine("	db_version INTEGER NOT NULL,");
            script.AppendLine("	db_sys_eu BOOLEAN NOT NULL DEFAULT TRUE");
            script.AppendLine(") ENGINE = INNODB, MIN_ROWS = 0, MAX_ROWS = 1");
            script.AppendLine("//");
            script.AppendLine();

            MySqlScript sqlScript = new MySqlScript(connection, script.ToString());
            sqlScript.Delimiter = "//";

            try
            {
                sqlScript.Execute();
            }
            catch (MySqlException ex)
            {
                MessageBox.Show(ex.Message,"FAILURE");
                return;
            }

            MessageBox.Show("SUCCESS");
        }
    }
}